<?php include_once($_SERVER["DOCUMENT_ROOT"]."/style/head.php"); ?>
<div id="content">
<div class="title">Правила сервиса</div>
<div class="content-info yes-up">
Пожалуйста, внимательно ознакомьтесь с этими Правилами перед использованием Сервиса. Эти Правила являются официальным публичным предложением, и предназначено для лиц, использующих Сервис МОБСЕ (далее просто «Сервис»).
<div class="content-info-text-title">Термины</div>
<b>Сайт</b> - одна или несколько логически связанных между собой веб-страниц, также место расположения контента сервера. Обычно сайт в Интернете представляет собой массив связанных данных, имеющий уникальный адрес и воспринимаемый пользователями как единое целое.</br>
<b>Домен или доменное имя</b> – это то название, по которому сайт доступен в сети. Например, <a href="/">mobse.ru</a> – это имя, по которому в сети доступен наш Сервис.</br>
<b>Перманентный бан</b> - представляет собой бессрочную блокировку, то есть такую меру наказания, которая не предусматривает возможность дальнейшего разбана.</br>
<b>Электронная почта (E-mail)</b> — технология и служба по пересылке и получению электронных сообщений (называемых «письма», «электронные письма» или «сообщения») между пользователями компьютерной сети (в том числе — Интернета).
<div class="content-info-text-title">Пользовательское соглашение</div>
<b>1.0</b> - Размещать сайты с содержанием порнографического характера или с контентом запрещенным в РФ и других стран категорически запрещено. В противном случае Сервис обязан наложить перманентный бан на сайт;</br>
<b>1.1</b> - Сервис запрещает использовать в название сайта матерные слова или словосочетания, в любом виде, даже если они написаны транслитом. В противном случае ваш сайт будет переименован на оригинальный заголовок сайта;</br>
<b>1.2</b> - Категорически запрещено регистрировать по несколько одинаковых сайтов, доменов в Сервисе. В противном случае копии будут удалены, а денежные средства не буду возвращены;</br>
<b>1.3</b> - Все сайты представленные в Сервисе на главной странице, в разделе "Случайные сайты" показываются в случайном порядке;</br>
<b>1.4</b> - Если вы не оплатили заказ в течении 24-х часов, то ваш заказ будет удален;</br>
<b>1.5</b> - Для каждого сайта, после успешной оплаты заказа создается личный кабинет, где Вы можете редактировать параметры сайта: Имя, Иконка, Цвет и т.п;</br>
<b>1.6</b> - Сервис не гарантирует постоянные переходы на сайт, а также каждодневные переходы;</br>
<b>1.7</b> - Сервис вправе заблокировать сайт, заказ до решение проблем связанных с невыполнением правил Сервиса;</br>
<b>1.8</b> - Каждый пользователь Сервиса может бесплатно обратиться в нашу Техподдержку и получить консультацию;</br>
<b>1.9</b> - Сервис вправе заблокировать сайт, заказ если пользователь систематически нарушает правила прописанные в "Пользовательском соглашение";</br>
<b>2.0</b> - Сервис взымает плату за добавления сайта в базу данных Сервиса, но дальнейшее редактирование сайта производится бесплатно.
<div class="content-info-text-title">Учетная запись</div>
<b>2.1</b> - Каждый пользователь Сервиса после успешного добавления сайта в базу данных, получает Личный кабинет (Учетную запись) для редактирования сайта;</br>
<b>2.2</b> - Пользователь Сервиса имеет полное право на бесплатное редактирования сайта или его последующее удаление;</br>
<b>2.3</b> - Перед добавления сайта, пользователи автоматически соглашаются с правилами "Пользовательского соглашения";</br>
<b>2.4</b> - Данные о сайте пользователя хранятся в базе данных Сервиса и не разглашаются третьим лицам для иных целей;</br>
<b>2.5</b> - E-mail пользователей используется для уведомлений, восстановления паролей и для конкурсных объявлений.
</div>
<div class="block"><div class="content-site-info">
<div id="add" class="title no-up">Добавить сайт</div>
<div class="content-info">

<?php include_once($_SERVER["DOCUMENT_ROOT"]."/modules/paywk/index_index.php"); ?>

</div></div>

<?php include_once($_SERVER["DOCUMENT_ROOT"]."/modules/include/information.php"); ?>
</div></div>
<?php include_once($_SERVER["DOCUMENT_ROOT"]."/style/foot.php"); ?>